import astropy,os,scipy.interpolate,sys,scipy.signal
import numpy as np
from astropy.io import fits
import ephem as ep

os.system('ls */BASS/p*_2.fits > fits.lst')
os.system('ls 2016*/Bad/p*_2.fits > bad.lst')

for line in open("fits.lst"):
    line=line.strip("\n")

    filetype=fits.getval(line,'IMAGETYP')
    objectname=fits.getval(line,'OBJECT')
    ra=fits.getval(line,'RA-OBS')
    dec=fits.getval(line,'DEC-OBS')
    eq=ep.Equatorial(ra,dec)
#    print("%10.3s" % repr(eq.ra*180./np.pi))
    print(line,objectname,repr(eq.ra*180./np.pi),repr(eq.dec*180./np.pi))
